Red Hat Customer Portal

Skip to main content

CVE-2006-3467

Impact:
Moderate
Public Date:
2006-07-18
CWE:
CWE-190
Bugzilla:
487070: CVE-2006-3467 freetype: integer overflow vulnerability due to incomplete fix for CVE-2006-1861

The MITRE CVE dictionary describes this issue as:

Integer overflow in FreeType before 2.2 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted PCF file, as demonstrated by the Red Hat bad1.pcf test file, due to a partial fix of CVE-2006-1861.

Find out more about CVE-2006-3467 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 4 (freetype) RHSA-2006:0500 2006-07-18
Red Hat Enterprise Linux 3 (freetype) RHSA-2006:0500 2006-07-18
Red Hat Enterprise Linux 2.1 (freetype) RHSA-2006:0500 2006-07-18
Red Hat Enterprise Linux 2.1 (XFree86) RHSA-2006:0635 2006-08-21
Red Hat Enterprise Linux 3 (XFree86) RHSA-2006:0635 2006-08-21
Red Hat Enterprise Linux 4 (xorg-x11) RHSA-2006:0634 2006-08-21